Bug Hunting Session
Bug 73858 - EDITING: Default font does not display immediately
Summary: EDITING: Default font does not display immediately
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA needsWindowsXP
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 01:52 UTC by bugquestcontri
Modified: 2015-10-14 19:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot with example (39.79 KB, image/png)
2014-01-21 01:52 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2014-01-21 01:52:00 UTC
Created attachment 92498 [details]
screenshot with example

Problem description: 
When entering a string of alpha or numerical or alphanumerical characters into a Calc cell the default font is not displayed even after after striking the "Enter" key or clicking into another cell.

Only after operations like:
- double clicking the cell again.
- changing the cell size (hight, width)
- doing some other operations on the same sheet but different cells the correct font is suddenly displayed> However, which other operations triggered the font correction is unclear.
- copy and paste of a cell with wrong font shows the correct font after paste operation but original cell still stays with the wrong font.

Note:
1- I could not verify it the font type is wrong or only the size. Thus above wrong or correct "font" could only mean "wrong font size" or "correct font size"
2- The font windows in the tool bar always show the correct font name and size, even when the font appear as wrong.
3-Used default font is Arial 10
4- I did not observe this behavior in 4.0 versions which I used up to 4.0.6 
5- I tested 4.1.3 portable and did not observe this faulty behavior


Steps to reproduce:
1. Open a spread sheet
2. Type any character string
3. Do any of above mentioned operations - recommendation: copy and paste the content below the cell used to enter the original text.

Current behavior:
Entering a string into a cell and striking "Enter" key or clicking into another cell does nor display the correct font/font size

Expected behavior:
Already during the entering of a string into a cell the correct font/font size should be displayed.

              
Operating System: Windows XP
Version: 4.1.4.2 release
Comment 1 Dominique Boutry 2014-01-28 17:28:06 UTC
LibO 4.2.0.3 rc with Win7 : not reproduced.

Just to be sure : what you called "default font" is the font for "default" cell style ?
Comment 2 bugquestcontri 2014-02-02 13:20:20 UTC
Cannot comment on 4.2 version yet 
"default font" is the font
- which is automatically used when I open Calc and start typing in a cell
- which is to be seen when I open Cell Styles, tab Font and look for Western font
Hope this clarifies.
Comment 3 Dominique Boutry 2014-02-08 08:47:45 UTC
OK, it clarifies. Nevertheless, let me propose this rewording:
- when opening Calc, all cells initialy wear the "Default" cell style,
- so typing in a cell applies the font specified by the "Default" cell style font,
- styles are visible in the stylist (F11). Within "Cell styles" panel, right-click on "Default" (which is selected in light grey), then "Modify>Font" to check it.

Bubsequent change of this font affect all cells where:
- no font superseding has been applied by a direct formating command ("Format cell" or formating toolbar), and:
- no other styles has been applied (except style derived from "Default" with no font change).
Comment 4 bugquestcontri 2014-06-20 13:15:08 UTC
Bug is still to be seen in 4.2.4.2 on XP/SP3
Comment 5 raal 2014-10-31 14:03:57 UTC
I can not reproduce with LO 4.3.2, win7. Font Liberation Sans, size 10. Please, could you test with version 4.3.x? Thank you
Comment 6 bugquestcontri 2014-11-04 02:25:40 UTC
I still see the bug in 

Version: 4.3.2.2 (portable)
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d

Version: 4.2.7.2 (normal)
Build ID: 933c0aa564ec4f8883ed5732c866db48dca4dac5

all on XP/SP3
Comment 7 Buovjaga 2014-11-15 17:57:26 UTC
Can't repro.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 8 bugquestcontri 2014-11-21 05:06:16 UTC
Upgraded to Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243 and still see the bug.
Comment 9 Robinson Tryon (qubit) 2015-01-16 09:26:36 UTC
(In reply to raal from comment #5)
> I can not reproduce with LO 4.3.2, win7

(In reply to Beluga from comment #7)
> Can't repro.
> Win 7 64-bit Version: 4.4.0.0.alpha2+

(In reply to bugquestcontri from comment #6)
> I still see the bug in 
> Version: 4.3.2.2 (portable)
> Version: 4.2.7.2 (normal)
> all on XP/SP3

Okay, looks like we need WinXP to test this bug
Whiteboard -> needsWindowsXP
Comment 10 bugquestcontri 2015-01-25 11:58:15 UTC
I can confirm the bug on my XP machine for LibO 4.3.5.2 

Hoewver, on my kubuntu 14.04 LTS machine I do not see the bug for LibO. 4.2.7.2 and 4.3.5.2.
Comment 11 bugquestcontri 2015-01-25 11:59:24 UTC
I can confirm the bug on my XP machine for LibO 4.3.5.2 

However, on my kubuntu 14.04 LTS machine I do not see the bug for LibO. 4.2.7.2 and 4.3.5.2.
Comment 12 Buovjaga 2015-02-19 14:11:33 UTC
(In reply to bugquestcontri from comment #11)
> I can confirm the bug on my XP machine for LibO 4.3.5.2 
> 
> However, on my kubuntu 14.04 LTS machine I do not see the bug for LibO.
> 4.2.7.2 and 4.3.5.2.

Sorry to keep asking, but as this seems like such a hard bug to reproduce, could you test with 4.4 on WinXP? Or even 4.4.1 release candidate.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 13 bugquestcontri 2015-02-25 16:46:11 UTC
I see the bug in 4.3.6.2 at the XP machine. As my XP machine is my production (or machine needed to make my libing) I cannot yet install 4.4. and will change on this machine only at 4.4.4 to be on the safe side. 

I will have a look for this bug then and report here.
Comment 14 Buovjaga 2015-02-25 17:09:38 UTC
(In reply to bugquestcontri from comment #13)
> I see the bug in 4.3.6.2 at the XP machine. As my XP machine is my
> production (or machine needed to make my libing) I cannot yet install 4.4.
> and will change on this machine only at 4.4.4 to be on the safe side. 
> 
> I will have a look for this bug then and report here.

You have two options that enable you to test right now.

A master build of 4.5, which installs separately:
http://dev-builds.libreoffice.org/daily/master/Win-x86@39/

Separate install GUI, which lets you install any version separately:
https://wiki.documentfoundation.org/SI-GUI

None of those will affect your 4.3.6.
Comment 15 bugquestcontri 2015-03-01 07:12:23 UTC
Thanks for your hint of adding additional versions. Once I have  my new production machine (kubuntu with XP virtual machines inside) fully running I will be more brave in installing more and newer versions.

For another test I used portable versions: 
4.4.0.3 Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: en_US

4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d

4.3.4.1 Build ID: bc356b2f991740509f321d70e4512a6a54c5f243

I don't see the bug in the portable versions. I am seeing this bug in the normal XP version since I reported it for 4.1.4 x.y.4 is my typical step-up version.

The test with portable versions doesn't really contribute to the solution. When I get the impression that 4.4.1 is a bit more stable than the 4.4.0, I will change a bit earlier. Maybe 4.4.2.
Comment 16 QA Administrators 2015-09-04 02:56:05 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 17 QA Administrators 2015-10-14 19:48:19 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-10-14